@import url('./search-custom.css');
@import url('https://www.miamidade.gov/resources/global-components/boilerplate.css');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Sofia+Sans:ital,wght@0,1..1000;1,1..1000&display=swap');
/* ------------------------------------------------

Table of Contents

01. GENERAL
02. BREADCRUMBS
02. SLIDER

------------------------------------------------*/
/* ------------------------------------------------*/
/* ---------------->>> GENERAL <<<-----------------*/
/* ------------------------------------------------*/
:root{
    --accent-color: hsl(202deg, 100%, 16%);
    --body-font-color: hsl(8.57deg 3.91% 35.1%);
    --title-color: hsl(0deg 0% 15.69%);
    /*--bg-alt-color: hsl(187.5deg 30.77% 94.9%);*/
    --bg-alt-color: hsl(198.46deg 52% 90.2%);


    --slider-desktop-height: 550px;
    --box-shadow: 0 0 24px rgba(0, 0, 0, 0.12);

    --transition-style: 0.3s ease-out;

    --title-font-family: "Roboto", serif;
    --nav-font-family: "Roboto Sans", sans-serif;

    --section-spacing: 6.5rem;
    --border-radius: 10px;
    --secondary-color: var(--secondary-color);
  
  --heading-text-color: red;

}


html { font-size: 16px !important; }


a, .mdc-custom__main-content a:not(.mdc-custom__slider-btn):not(.btn-primary):not(.btn-secondary):is(:hover, :focus) {
  color: hsl(202.14deg 100% 16.47%);
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--title-font-family);
}

.mdc-custom__content__sub-title, h2.mdc-custom__content__item-title {
  margin-bottom: 1.5rem;
}

.mdc-custom__main-content :is(h1, h2, h3, h4, h5, h6) {
    color: var(--title-color);
}


.mdc-custom__content__title {
    border: none;
}


body {
    font-family: "Roboto", sans-serif !important;
    overflow-x: hidden;
}

.mdc-custom__content__sub-title,
h2.mdc-custom__content__item-title {
	margin-block: 4rem 1rem;
}


.mdc-custom__main-content {
    color: var(--body-font-color);
}


/* Should possibly be only for mobile */
.mdc-custom__main-content > .container > .row > .col-lg-3 {
    position: sticky;
  top: 0;
  height: 100%;
}

:is(.mdc-custom__mega-container, .mdc-custom__single-li-container) > ul a,
.mdc-custom__main-content a {
    color: var(--accent-color);
}


.mdc-custom__button a,
.mdc-custom__multi-item__btn,
.search-and-bio__bio-button {
    background-color: #fff;
    color: var(--secondary-color);
    border-width: 1px;
    border-style: solid;
    border-radius: 5px;
    border-color: var(--secondary-color);
    transition: background-color 0.3s ease-out, color 0.3s ease-out;
}


:is(.mdc-custom__button a, .search-and-bio__bio-button):is(:hover, :focus, :active) {
        background-color: var(--secondary-color);
        color: #fff !important;
    }


.mdc-custom__button svg {
    fill: var(--secondary-color);
}


.mdc-custom__button a:is(:hover, :focus, :active) svg {
    fill: #fff;
}

.mdc-custom__mega-container__button {
    background-color: var(--secondary-color);
    color: #fff !important;
    border-radius: 5px;
    transition: background-color 0.3s ease-out, color 0.3s ease-out;

    &:is(:hover, :focus) {
        background-color: var(--secondary-color-500);
    }
}



.mdc-custom__button a,
.search-and-bio__bio-button,
.mdc-custom__mega-container__button {
    padding: 0.75em 2em;
}

.mdc-custom__mega-container__button {
    margin-top: 2rem
}



/*--Adding spacing to components when the next component does not contain a sub-title --*/

.iw_component:has(.mdc-custom__button) + .iw_component:not(:has(.mdc-custom__content__sub-title)) {
    margin-top: 3rem;
}

.iw_component:has(.mdc-custom__multi-container) + .iw_component:not(:has(.mdc-custom__content__sub-title)) {
    margin-top: 3rem;
}

.iw_component:has(.mdc-custom__accordion-container) + .iw_component:not(:has(.mdc-custom__content__sub-title)) {
    margin-top: 3rem;
}



.btn-link {
    color: var(--primary-color);
}



.alt-bg-color {
    background-color: var(--bg-alt-color);
}

.alt-bg-color--title-spacing {

    margin-top: 5rem;
    padding-top: 5rem;

    & .mdc-custom__content__sub-title {
        margin: 0;
    }

}


.alt-bg-color--content-spacing {
    padding-block: 2rem 5rem;
}



.button-align-right {

    & .mdc-custom__button {
        justify-content:    flex-end;
    }
}

.button-align-right a {
        flex-direction: row-reverse;

        &:is(:hover, :focus) svg{

            & rect {
                fill: #fff;
            }

            & path {
                fill: var(--secondary-color);
            }
        }
}


.sign-up-title {
    color: #fff !important;
}


@media (width <= 992px) {
    .mdc-custom-order-1-mobile {
        order: -1;
    }
}


/*--Removing margin bottom if the last component is Banner Full Width--*/
.mdc-custom__main-content:has(.iw_placeholder > .iw_component:last-child :is(.mdc-custom__banner-full-width__container, .contact-accent)) {
  margin-bottom: 0 !important;
}




main a:not(.banner-full-width-overflow__button-item, .btn-primary, .mdc-custom__slider-btn) {
  text-decoration: underline;
}



/* ------------------------------------------------*/
/* -------------->>> NAVIGATION <<<----------------*/
/* ------------------------------------------------*/


@media (width >= 1255px) {
	:is(.alert, .mdc-custom__nav-bottom__header-container, .mdc-custom__nav-bottom__navigation) > .container {
		max-width: 1275px;
	}
}




/*--Secondary Nav--*/
.mdc-custom__nav-bottom__header-secondary {
    background-color: #fff;
    padding-block: 1em;
    font-size: 0.75rem;
}


.mdc-custom__nav-bottom__header-secondary > .container,
.mdc-custom__nav-bottom {
    display: flex;
    gap: 0.5rem;
    justify-content: space-between;
}

.mdc-custom__header div.elections-alert {
      background: #E7F3FF!important;
}

.alert {
  padding:1.75rem 1.75rem!important;
}

.mdc-custom__header div.elections-alert {
  background:#E7F3FF;
}

.mdc-custom__header .btn:hover {
  color: #fff;
}


.mdc-custom__nav-bottom__header-secondary-list, .mdc-custom__nav-bottom__header-secondary-icons {
    list-style: none;
    display: flex;
    gap: 1rem;
    padding-left: 0;
    margin-bottom: 0;
}

.mdc-custom__nav-bottom__header-secondary-icons {
    color: #333;


    & li {
      display: flex;
      align-items: center;
      gap: 0.5rem;
    }


    & img {
      filter: brightness(0) saturate(100%) invert(14%) sepia(17%) saturate(4380%) hue-rotate(181deg) brightness(100%) contrast(110%);
      height: 12px;
      width: auto;
    }
 }


 /*--Name--*/

 .mdc-custom__header-name__container {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
 }

 .mdc-custom__header-img__container {
      display: flex;
      align-items: flex-end;

    & .mdc-custom__header-img {
        max-height: 220px;
    }
 }

 .mdc-custom__nav-bottom__logo {
  display: flex;
  align-items: center;
  gap: 1.5rem;

  & .mdc-custom__nav-item {
    display: flex;
  }

  & .mdc-custom__header-logo {
    max-height: 190px;
  }

  & .mdc-custom__header-name__line01, .mdc-custom__header-name__line02 {
    font-family: var(--title-font-family);
    color: #fff;
    text-transform: none;
  }

  & .mdc-custom__header-name__line01 {
    text-transform: uppercase;
    font-size: clamp(3rem, 1.893rem + 0.952vw, 3rem);
    line-height: 45px;
    letter-spacing: 0;
    font-weight: 700;
  }
  

  & .mdc-custom__header-name__line02__sofia-sans {
  font-family: Bebas Neue;
  font-optical-sizing: auto;
  font-size: clamp(1.25rem, 0.714rem + 1.429vw, 2rem);
  font-weight: 100;
  font-style: normal;
  text-transform: uppercase;
  letter-spacing: 1.2;
}


& .mdc-custom__header-name__line02__roboto {
    color: white;
    font-size: clamp(1.25rem, 0.714rem + 1.429vw, 1rem);
    font-family: Roboto Condensed;
    font-weight: 400;
    text-transform: uppercase;
    line-height: 28px;
    word-wrap: break-word;
}

}

.mdc-custom__nav-bottom__item {
  display: flex;
  gap: 1rem;
  align-items: center;

  & .mdc-custom__header-search {
    background-color: var(--secondary-color);
  }
}

@media (width <= 500px) {
  .mdc-custom__nav-bottom__item {
    flex-direction: column;
    gap: 0.5rem;
    font-size: 0.75rem;
  }

  .mdc-custom__translate select {
    height: 2rem;
  }

}


/*--Main Navigation--*/

.mdc-custom__nav-bottom__wrapper {
  border-top: 5px solid var(--secondary-color);
  background-color: var(--primary-color);
  padding-top: 1rem;
}

.mdc-custom__nav-bottom__navigation {

    & .container {
        position: relative;


        & .mobile-menu-bars {
            color: #fff;

            & span {
                background-color: #fff;
            }

        }
    }
}

.mdc-custom__global-nav__list > li > :is(button, a) {
    font-family: var(--nav-font-family);
    font-size: 1rem;
    font-weight: 300;
    color: #fff;
    text-transform: none;
}


.mdc-custom__mega-container > ul {
    display: flex;
    gap: 2rem;
}

.mdc-custom__mega-container__list {
  --min-column-size: 16rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(var(--min-column-size), 100%), 1fr));
}

.mdc-custom__mega-container__list:has(.mdc-custom__mega-container__item__description) {
    --min-column-size: 24rem;
    gap: 2rem;
}

.mdc-custom__mega-container__list:not(:has(.mdc-custom__mega-container__item__description)) {
    --min-column-size: 16rem;
    gap: 1rem;
}

.mdc-custom__mega-container__child {
    margin: 0;
}


.mdc-custom__mega-container__item {
    margin-bottom: 0;
}

.mdc-custom__mega-container__child:nth-child(1) {
    flex-grow: 2;
    min-width:  70%;
}

.mdc-custom__mega-container__child:is(:nth-child(2), :nth-child(3)) {
    flex-grow: 1;
}



.mdc-custom__mega-container__title {
    font-family: var(--title-font-family);
    font-size: 1.5rem;
    font-weight: 700;
    letter-spacing: 0 !important;

    padding-bottom: 0.5em;
    border-bottom: 1px solid hsla(0, 0%, 0%, 0.24);
}

.mdc-custom__mega-container__item__title {
    font-size: 1.25rem;
}

@media(width < 1255px) {
    .mdc-custom__global-nav {
        padding: 0;
    }


}


.mdc-custom__global-nav__main > .mdc-custom__global-nav__list > li {
    padding-block: 0.5rem;
}


.mdc-custom__mega-container > ul {
    padding: 2rem 3rem;
    margin-left: 0;
    margin-right: 0;
}

:is(.mdc-custom__mega-container, .mdc-custom__single-container) > ul {
    top: 100%;
}


.mdc-custom__translate {
    translate: no;  /* Prevents translation (HTML attribute equivalent) */

    & select {
        background-color: var(--primary-color);
        color: #fff;
        border: none;
    }

    & option {
        background-color: #fff;
        color: var(--primary-color);
    }
}



/*--Desktop--*/
@media (width > 1255px) {

    .navbar-toggler {
        display: none;
    }


    .navbar-collapse {
        display: -ms-flexbox !important;
        display: flex !important;
        -ms-flex-preferred-size: auto;
        flex-basis: auto;
    }



  .mdc-custom__mega-container > ul,
  .mdc-custom__single-container > ul {
    position: absolute;
  }

  .mdc-custom__global-nav__list > li {
    float: left;
  }

  /*--When the drop-down opens-- */
  .mdc-custom__mega-container > ul.collapse.show {
    display: flex;
  }

  .mdc-custom__mega-container > ul {
    flex-wrap: nowrap;
  }

  .mdc-custom__single-container > ul {
    width: 190%;
    max-width: 280px;
  }
}



/*--Mobile--*/
@media (width <= 1255px) {

    .navbar-toggler {
        display: block;
    }

  .mdc-custom__global-nav__list {
    position: relative;

    & li {
        float: none;
    }
  }

  .mdc-custom_fullscreen-close {
    right: 10px;
    top: 20px;
  }

  .mdc-custom__header-logo {
    max-width: 190px;
  }

  .mdc-custom__mega-container__item--half > li {
    width: 100%;
  }

  .mdc-custom__global-nav {
    padding: 1.5rem 0;
  }

  .mdc-custom__global-nav__list > li .mdc-custom__mega-container__link,
  .mdc-custom__global-nav__list > li .mdc-custom__single-container__link {
    width: 100%;
    text-align: left;
  }


  li.mdc-custom__mega-container mdc-custom__main-nav-link .btn:hover {
    color: #fff !important;
  }


  .mdc-custom__mega-container > ul {
    margin: 0;
  }

  .mdc-custom__mega-container > ul,
  .mdc-custom__single-container > ul {
    position: relative;
  }

  .mdc-custom__global-nav__main {
    position: absolute;
    z-index: 100;
    width: 100%;

    & .mdc-custom__global-nav__list {
      background-color: var(--accent-color);
    }

  }

}


@media (width > 991px) {
  .mdc-custom__nav-bottom__navigation {
    background-color: hsla(202, 100%, 16%, 1);
    box-shadow: var(--box-shadow);
  }
}

@media (width <= 991px) {
  .mdc-custom__header-name__container,
  .mdc-custom__header-img__container { display: none; }

  .mdc-custom__nav-bottom__wrapper {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: center;

    background-color: var(--primary-color);
    padding-bottom: 1rem;

    & > * {
      flex: 1;
    }
  }

  .mdc-custom__nav-bottom__header-container .container { padding-left: 0; }

  .mdc-custom__nav-bottom__logo {
    margin-left: -50px;
    & .mdc-custom__header-logo {
      max-height: 100px;
    }
  }


  .mdc-custom__global-nav__main {
    width: 100vw;
    margin-left: -15px;
    top: 117%;
  }

  .mdc-custom__mega-container > ul { padding: 1.5rem 1rem; }


}


/*--If the slider is the first component within the body remove margin-top so it looks flush--*/
.iw_component:has(.mdc-custom__header) ~ main:has( > .iw_placeholder:first-child .mdc-custom__slider--text-contain) {
  margin-block: 0 2rem;
}



/*--Hiding  --*/
.mdc-custom__breadcrumbs:has(> *:only-child) {
  display: none; /* hides the parent if it only has one child */
}


/* ------------------------------------------------*/
/* ---------------->>> FOOTER <<<------------------*/
/* ------------------------------------------------*/

.mdc-custom__footer__main {
    padding-block: 3rem 0.5rem;
    background-color: var(--accent-color);
}


.mdc-custom__footer__title {
    color: #fff;
}

.mdc-custom__footer__text > p:has(img) {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem;
}

.mdc-custom__footer__text > p img {
    max-width: 160px;
}


.mdc-custom__footer__item > ul li:not(:last-child) { margin-bottom: 0.75rem; } 


:is(footer, .mdc-custom__breadcrumbs) a:is(:hover, :focus) {
  text-decoration: underline;
}


.mdc-custom__footer__item:last-child {
  display: flex;
  flex-direction: column;
  align-items: end;



  & .mdc-custom__footer__text > p {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
  }

}


.mdc-custom__copyright {
    text-align: right;
    background-color: hsl(201.95 100% 16.08%);
    color: #fff;
    margin-block: 0;
    padding-bottom: 1rem;


    & .mdc-custom__copyright__container > a {
        display: none;
    }
}


/*--Mobile--*/
@media (width < 1255px ) {
  .mdc-custom__footer, .mdc-custom__copyright  {
    text-align: center;

  }

  .mdc-custom__footer__item:last-child {
    align-items: center;
  }


  .mdc-custom__footer__text > p:has(img), .mdc-custom__copyright__container {
    justify-content: center;
  }
}


/* ------------------------------------------------*/
/* ----------->>> SIDE NAVIGATION <<<--------------*/
/* ------------------------------------------------*/

.mdc-custom__side-container {
    gap: 3rem;
}

.mdc-custom__side-nav {

    --nav-color: hsl(0deg 0% 15.69%);

    & .mdc-custom__side-title {
        font-family: var(--title-font-family);
        font-size: 1.25rem;
        border: none;
    }

    & .active,
    & li a,
    & li a:is(:hover, :focus) {
        display: block;
        color: var(--nav-color);
    }

    & ul {
        gap: 1rem;
    }

    & li {
        border: none;
        padding: 0;
    }

    & li a {
        font-family: "Noto Sans", sans-serif;

        background-color: #e0e0e0;
        padding: 1rem 1.5rem;
        border-radius: 5px;
        border-left: solid 6px transparent;
    }

    & .active,
    & li a:is(:hover, :focus) {
        border-left: solid 6px var(--accent);
        text-decoration: none;
    }


    & .active::before, & .active::after {
        content: normal;
    }

    & li a:is(:hover, :focus)::before,
    & li a:is(:hover, :focus)::after {
        content: normal;
    }
}



/* ------------------------------------------------*/
/* ------------->>> BREADCRUMBS <<<----------------*/
/* ------------------------------------------------*/

.mdc-custom__breadcrumbs {
    margin-block: 2rem 0;
    font-weight: 500;

    span:first-of-type a::before {
        content: '';
        display: inline-block;
        background-image: url(../images/icons/breadcrumb-home.svg);
        background-repeat: no-repeat;
        background-position: center;
        width: 20px; height:17px;
        margin-right: 0.5rem;
        margin-bottom: -3px;
    }

    a, .iw-breadcrumb-separator {
        color: var(--accent-color);
    }



}


/* ------------------------------------------------*/
/* ---------->>> CONTENT HIGHLIGHT <<<-------------*/
/* ------------------------------------------------*/

.content-highlight--custom-gray {
    background-color: var(--gray-bg);
    padding-block: 3rem 14rem;
}

.content-highlight--home {
    margin-top: -18rem;
}

.content-highlight-container {
    --min-column-size: 30rem;
  display: grid;
  gap: 1.5rem;
  grid-template-columns: repeat(auto-fill, minmax(min(var(--min-column-size), 100%), 1fr));
}


.content-highlight-item {
    min-height: 380px;
    width: 100%;
    aspect-ratio: 16/9;

    overflow: hidden;
    background-position: center;
    background-size: cover;
    padding-top: 1rem;
    color: #fff;

    border-radius: 10px;

    display: grid;
    align-items: end;
}




.content-highlight-content {
    padding: 2rem 1rem 0 1rem;
    background: linear-gradient(0deg, rgba(5,21,46,0.55) 80%, rgba(5,21,46,0) 100%);

}



.content-highlight-content__text,
.content-highlight-content__button {
  max-height: 0;
  opacity: 0;
  visibility: hidden;
  overflow: hidden;
}

.content-highlight-content__text {
    transition: opacity 0.4s, visibility 0.4s, max-height 0.6s, margin 0.4s;

    & p:last-child {
        margin-bottom: 0;
    }
}

.content-highlight-content__button {
    transition: opacity 0.4s, visibility 0.4s, max-height 0.6s, margin 0.4s;
    display: inline-block;
    padding: 0 1.5em;


    background-color: #fff;
    color: var(--secondary-color);

    border-radius: 8px;

    transition: background-color 0.3s ease-out, color 0.3s ease-out;



    &:is(:hover, :focus) {
        background-color: var(--secondary-color);
        color: #fff;
        text-decoration: none;
    }
}








.content-highlight-content__title {
    font-family: var(--title-font-family);
    font-weight: 500;
    font-size: clamp(1.5rem, 2vw + 1rem, 2.25rem);
    color: #fff;
    line-height: 1.2;

    position: relative;
}





.highlight-landing-page {
    margin-top: -10rem;


    & .content-highlight-item {
        min-height: 300px;
    }

    & .content-highlight-container {
        --min-column-size: 24rem;
        gap: 3rem 1.5rem;
    }

}



/* ------------------------------------------------*/
/* ---------------->>> SLIDER <<<------------------*/
/* ------------------------------------------------*/

.mdc-custom__slider a.mdc-custom__slider-btn {
	font-family: Roboto, sans-serif;
	font-size: 1rem;
	text-transform: none;
	padding: 1em 3em;

	&:is(:hover, :focus) {
		background-color: var(--secondary-color-500);
		text-decoration: none;
	}
}

.mdc-custom__slider--text-contain .mdc-custom__slider {
  width: 100dvw;
  margin-left: calc(50% - 50dvw);
}

.mdc-custom__slider {
  --primary-color: hsl(2.97deg 77.78% 45.88%);

  --button-color-bg: hsl(0deg 0% 15.69%);
  --button-color-border: hsl(0deg 0% 100%);

  text-align: left;

  & .mdc-custom__slider-overlay {
    justify-content: flex-end;
  }

  & .mdc-custom__slider-overlay--color {
    background: linear-gradient(1deg, rgba(0, 0, 0, 0.70) 0.55%, rgba(0, 0, 0, 0.70) 40.11%, rgba(0, 0, 0, 0.00) 79.78%);
  }

  & .slick-dots {
    background-color: var(--button-color-bg);
    border: 1px solid var(--button-color-border);
    padding: 0.1rem;
    width: auto;
    display: flex;
    right: 60px;
    bottom: 12%;
    border-radius: 100px;
  }

  & .slick-dots li button .slick-dot-icon::before,
  & .slick-dots li.slick-active button .slick-dot-icon::before {
    font-size: 5rem
  }

  & :is(.mdc-custom__slider-custom-prev-button, .mdc-custom__slider-custom-next-button) {
    top: auto;
    bottom: 25%;

    background-color: var(--button-color-bg);
    border: 1px solid var(--button-color-border);
    border-radius: 50%;
    padding: 0.25rem;
  }

  & .mdc-custom__slider-custom-prev-button {
    right: 146px;
  }


  & .slick-autoplay-toggle-button {
    top: auto;
    right: 100px;
    left: auto;
    bottom: 24.5%;

    border-radius: 50%;

    background-color: var(--button-color-bg);
  }


  & .mdc-custom__slider-custom-next-button {
    right: 60px;
  }

  & .mdc-custom__slider-arrow {
    height: 25px;
    width: auto;
    aspect-ratio: 1/1;
  }

  & .container > * {
    max-width: 90ch;
  }

}

.slick-slider.slick-dotted {
  margin-bottom: 0;
}

@media (width <= 991px) {


  .mdc-custom__slider {
    & :is(.mdc-custom__slider-custom-prev-button, .mdc-custom__slider-custom-next-button) {
      bottom: auto;
      top: 15px;
    }

    & .slick-autoplay-toggle-button {
      bottom: auto;
      top: 13px;
    }

    & .slick-dots {
      right: auto;
      bottom: 16px;
      left: 50%;
      transform: translateX(-50%);
    }
  }
  
  .mdc-custom__slider .mdc-custom__slider-title {
    font-size: clamp(1.6rem, 2.5vw, 3.2rem);
    }
  
  .mdc-custom__slider-overlay--color {
    background: hsl(0 0% 0% / 60%) !important;
   }
  
  .mdc-custom__slider-overlay {
    padding: 5rem 1.5rem;
  }

}
/* ------------------------------------------------*/
/* ------------>>> MULTI-COLUMN <<<----------------*/
/* ------------------------------------------------*/

.mdc-custom__multi:has(> *:only-child) {
  --min-column-size: 24rem;
  grid-template-columns: repeat(auto-fill, minmax(min(var(--min-column-size), 100%), 1fr));
}


.mdc-custom__multi-container:not(.non-box) {

  --spacing: 1.5rem;

  & .mdc-custom__multi {
    gap: 1.5rem;
  }

  & .mdc-custom__multi-item {
    border-radius: 8px;
    box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.12);
    overflow: hidden;
    padding-bottom: var(--spacing);
  }

  & .mdc-custom__multi-item__img {
    margin-bottom: 0 !important;
  }

  /*--If its NOT an svg--*/
  & .mdc-custom__multi-item__img img:not([src*=".svg"]):not([src*=".png"]) {
    height: auto;
    aspect-ratio: 16/9;
    margin-bottom: 0.5rem;
  }

  /*--If it IS an svg --*/
  & .mdc-custom__multi-item__img img[src*=".svg"] {
    height: 67px;
    width: auto;
    object-fit: none;
    margin: var(--spacing) var(--spacing) 0.5rem var(--spacing);
  }

  & .mdc-custom__multi-item__img img[src*=".png"] {
    height: auto;
    width: auto;
    margin: var(--spacing) var(--spacing) 0 var(--spacing);
  }

  & .mdc-custom__multi-item__description {
    margin-bottom: 0;
  }

  & .mdc-custom__multi-item__title,
  & .mdc-custom__multi-item__description,
  & .mdc-custom__multi-item__btn-container {
    margin-inline: var(--spacing);
  }

  & .mdc-custom__multi-item__title {
    margin-top: 0.5rem;
  }

  & .mdc-custom__multi-item > .mdc-custom__multi-item__title:first-child {
    margin-top: 1.5rem;
  }

  & .mdc-custom__multi-item__title:only-child {
    margin-top: 1.5rem;
    margin-bottom: 0;
  }

  & .mdc-custom__multi-item__btn-container {
    margin-top: 0.5rem;
  }

  & .mdc-custom__multi-item__btn {
    color: var(--secondary-color) !important;
    border-color: transparent;
    padding: 0 !important;
  }

  & .mdc-custom__multi-item__btn:is(:hover, :focus, :active) {
    background-color: transparent;
    text-decoration: underline !important;
  }

  & .mdc-custom__multi-item__btn.btn-primary::after {
    content: "";
    display: inline-block;
    width: 10px;
    height: 15px;
    background-image: url('/resources-elections/images/icons/button-arrow.svg');
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: 0.5rem;
    vertical-align: middle;
  }


/*--Hiding PDF and Link icon from Multi Column Component. Might bring it back on client request--*/

/*  & .mdc-custom__multi-item__tite-link[href*=".pdf"],
  & .mdc-custom__multi-item__tite-link[target="_blank"] {

    display: flex;
    gap: 0.5rem;
    justify-content: center;

    &::before {
      content: "";
      display: block;
      background-size: contain;
      background-repeat: no-repeat;
    }
  }

  & .mdc-custom__multi-item__tite-link[target="_blank"]::before {
      min-width: 29px;
      height: 28px;
      background-image: url('/resources-elections/images/icons/link-open-new-window.png');
  }

  & .mdc-custom__multi-item__tite-link[href*=".pdf"]::before {
      min-width: 24px;
      height: 24px;
      background-image: url('/resources-elections/images/icons/pdf.png');
  }*/

}

.mdc-custom__multi-container {

  & .mdc-custom__multi-item__title {
    font-size: clamp(1.25rem, 0.25vw + 1.2rem, 1.5rem);
  }
}

.mdc-custom__multi-container.mdc-custom__multi-container--small-icon .mdc-custom__multi-item__img img[src*=".svg"] {
  height: 40px;
}


/*--If the last element is the description field is a list and it also contains a link then convert that list into buttons--*/
.mdc-custom__multi-item__description > ul:last-of-type:last-child:has(a) {
  list-style: none;
  margin-top: 1rem;
  padding-left: 0;

  display: flex;
  gap: 0.5rem;
  flex-direction: column;

  & a {
    display: inline-block;
    color: var(--secondary-color);
    text-decoration: none;

    &:is(:focus, :hover) {
      color: var(--secondary-color) !important;
      text-decoration: underline;
    }

    &::after {
      content: "";
      display: inline-block;
      width: 10px;
      height: 15px;
      background-image: url('/resources-elections/images/icons/button-arrow.svg');
      background-size: contain;
      background-repeat: no-repeat;
      margin-left: 0.5rem;
      vertical-align: middle;      
    }
  }
}



.contact-accent-test {
  margin-top: 4rem;
  position: relative;
  padding-block: 5rem;

  &::before {
    content: ''; /* Required for pseudo-elements */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/resources-elections/images/palm-trees-bg.jpg');
    background-position: top;
    background-size: cover;
    z-index: -1;

  }
  

  & .mdc-custom__multi-item {
    background-color: #fff;
  }
}






@media(width <= 600px) {
  .mdc-custom__multi-container:not(.non-box) {

    & .mdc-custom__multi-item__tite-link[href*=".pdf"],
    & .mdc-custom__multi-item__tite-link[target="_blank"] {
      flex-direction: column;
      align-items: center;
    }
  }
}

/* ------------------------------------------------*/
/* --------------->>> CALLOUT <<<------------------*/
/* ------------------------------------------------*/

  .mdc-custom__callout__wrapper--info{
    --co-bg-color: hsl(198.46deg 52% 90.2%);
    --co-font-color: hsl(202.14deg 100% 16.47%);
    --title-color: hsl(202.14deg 100% 16.47%);
    --co-border-color: hsl(202.14deg 100% 16.47%);
  }

/* ------------------------------------------------*/
/* ---------->>> MEDIA BLOCK BANNER <<<------------*/
/* ------------------------------------------------*/

.media-block-banner__bg--color {
  background-color: var(--bg-alt-color);
}

div.media-block-banner__button-wrapper a {
  background-color: var(--secondary-color);
  border-radius:  8px;
  padding: 1rem 3rem;
  line-height: normal;
  border: 1px solid transparent;

  &:is(:hover, :focus) {
    background-color: var(--secondary-color-500);
    border-color: transparent;
  }
}

div.media-block-banner__button-wrapper a:not(:first-of-type) {
  background-color: transparent;
  color: var(--secondary-color);
  border-color: var(--secondary-color);

  &:is(:hover, :focus) {
    background-color: var(--secondary-color-500);
    color: #fff;
    border-color: transparent;
  }
}

.media-block-banner__image {
  flex: 0 1 auto;
}

/* ------------------------------------------------*/
/* ----------->>> BANNER FULL WIDTH <<<------------*/
/* ------------------------------------------------*/


.mdc-custom__banner-full-width__container {
  

  & .mdc-custom__banner-full-width__text {
    color: var(--body-font-color);
    max-width: 100ch;
  }

  & .mdc-custom__banner-full-width__tint {
    background-color: var(--bg-alt-color);
  }

  & .mdc-custom__button a:first-of-type {
    background-color: var(--secondary-color);
    color: #fff;
  }

  & .mdc-custom__button a:not(:first-of-type) {
    background-color: transparent;
  }

  & .mdc-custom__button a:is(:hover, :focus) {
    background-color: var(--secondary-color-500);
    border-color: transparent;
  }

  & .mdc-custom__content__button {
    line-height: normal;
    padding: 1rem 3rem;
  }
}


.home-about { margin-top: 4rem; }

@media(width > 767px) {
	.home-about {
		position: relative;

		&::before,
		&::after {
			display: block;
			content: '';
			position: absolute;
			background-repeat: no-repeat;
			background-size: contain;
			opacity: 20%;
		}

		&::before {
			background-image: url(/resources-elections/images/about-flag.png);
			width: 343px; height: 294px;
			bottom: 0;
			left: 0;
		}

		&::after {
			background-image: url(/resources-elections/images/about-bg.png);
			width: 413px; height: 345px;
			top: 0;
			right: 0;
		}

	}
}
/* ------------------------------------------------*/
/* ----------------->>> BUTTON <<<-----------------*/
/* ------------------------------------------------*/

.mdc-custom__button {

  & .mdc-custom__content__button {
    line-height: normal;
    padding: 1rem 3rem;
  }

  & .mdc-custom__content__button:first-of-type {
    background-color: var(--secondary-color);
    color: #fff;
  }

  & .mdc-custom__content__button:is(:hover, :focus) {
    background-color: var(--secondary-color-500);
    border-color: transparent;
  }
}

/* ------------------------------------------------*/
/* ------------>>> FEATURED BANNER <<<-------------*/
/* ------------------------------------------------*/

.feature-banner {
  background-color: hsl(0deg 0% 94.51%);
  position: relative;
  overflow: hidden;
  padding: 1.75rem 6rem;

  &::before, &::after {
    position: absolute;
    content: "";
    display: block;

    bottom: 0;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }

  &::before {
    left: 0;
    width: 202px;
    height: 148px;
    background-image: url('/resources-elections/images/featured-bg-stars.png');
  }

  &::after {
    right: 0;
    width: 346px;
    height: 148px;
    background-image: url('/resources-elections/images/featured-bg-stripes.png');
  }

  & .container {
  	z-index: 2;
  	position: relative;
  }
}

.feature-banner { container-type: inline-size; }

.feature-banner__wrapper {
  display: grid;
  grid-template-columns: auto 1px 1fr auto;
  gap: 1.5rem;
  align-items: center;
}

.feature-banner__divider {
  align-self:stretch;
  width: 1px;
  background-color: hsl(0, 0%, 68.12%);
}

.feature-banner__number {
  text-align: center;
}

.feature-banner__number__digits {
  font-size:  32px;
  font-weight:  600;
  color: var(--accent-color);
}

.feature-banner__content__title {
  font-size:  24px;
}


a.feature-banner__button {
  background-color: var(--secondary-color);
  color: #fff;
  padding: 1rem 3rem;
  border: 1px solid transparent;
  border-radius: 8px;
  transition: background-color .3s ease-out;
  text-decoration: none !important;


  &:is(:focus, :hover) {
      background-color: var(--secondary-color-500) !important;
      color: #fff !important;
      text-decoration: none;
  }

}


@container (width <= 700px) {
  .feature-banner__wrapper {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .feature-banner__divider {
    display: none;
  }

  a.feature-banner__button {
    justify-self: center;
  }
}


/* ------------------------------------------------*/
/* ---------------->>> SIGN UP <<<-----------------*/
/* ------------------------------------------------*/


.sign-up-wrapper {
  margin-top: 4rem;
}


.sign-up-wrapper {
  --min-column-size: 24rem;

  background-color: hsl(0deg 5.88% 96.67%);
  border: 2px solid hsl(0deg 5.88% 88%);
  
  & form, & button.btn {
    margin-bottom: 0;
  }

  & .sign-up-description, & .form-label {
    color: var(--body-font-color);
  }

  & .form-label {
    font-weight: bold;
  }

  & .sign-up-title {
    color: var(--title-color) !important;
    font-size: 2rem;
  }

  & button.btn {
    background-color: var(--secondary-color);
  }

  & button.btn:is(:hover, :focus) {
    background-color: var(--secondary-color-500);
  }
}


h3.ds-heading { 
  color: purple !important;
}



/* ------------------------------------------------*/
/* ------------------>>> INDEX <<<-----------------*/
/* ------------------------------------------------*/

.mdc-custom__main-content:has(.county-grid-container) {

  & .item-card {
    padding: 1.5rem;
    gap: 0.5rem;
  }

  & .item-card__heading {
    padding: 0;
    margin-bottom: 0;
  }

  & .item-card__body {
    display:  block;
    padding: 0;
  }

  & .mdc-custom__pagination nav .active a { color: var(--primary-color) !important; }

  & .mdc-custom__pagination nav a { color: var(--primary-color) !important; }

  & .mdc-custom__pagination nav .active a,
    .mdc-custom__pagination nav a:is(:hover, :focus) { color: #fff !important; }

}

/* ------------------------------------------------*/
/* ---------------->>> SEARCH <<<------------------*/
/* ------------------------------------------------*/

.elections-container:has(pagination-template) {
  & .item-card {
    display: flex;
    flex-direction: column;
  }
}

.search .search__button,
.pagination .index__pagination-link,
.pagination .active a {
  background-color: var(--secondary-color) !important;
  transition: background-color .3s ease-out;
  color: #fff !important;

  &:is(:hover, :focus) {
    background-color: var(--secondary-color-500) !important;
  }
}

.pagination .active a { border-color: transparent !important; }

.secondary-filters .sort-select__label {
  font-size: 1rem !important;
  font-weight: 500;
}

.results .results__link {
  color: var(--accent-color) !important;
  font-size: 1.5rem;
}



/* ------------------------------------------------*/
/* --------->>> CONTENT TABLES <<<-----------------*/
/* ------------------------------------------------*/

.mdc-custom__accordion thead {
    background-color: #447d97;
    color: #fff;
}

/* ------------------------------------------------*/
/* ---------------->>> DETAILS <<<-----------------*/
/* ------------------------------------------------*/

/*--Styles for both Index and Detail Views--*/
.elections-container {
  & .item-card { box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.12) !important; }

  & .mdc-custom__pagination__item a.mdc-custom__pagination__button {

    text-decoration:  none;
    transition: background-color .3s ease-out;

    &:is(:hover, :focus) {
      background-color: var(--secondary-color-500);
      color: #fff !important;
    }
  }

}

.mdc-custom__main-content:has(app-page-banner) { margin-block: 0; }

.iw_viewport-wrapper:has(.election-page__important-dates__container) .mdc-custom__breadcrumbs:empty { display: none; }

.elections-container:has(.election-page__important-dates__container)  {

  & nav.mdc-custom__breadcrumbs {
    position: static;
    margin-block: 2rem;

    color: #212529;
  }

  & app-important-dates {
    padding: 0;
    padding-block: 3rem;
  }

  & mdc-alert-banner {
    border-radius: 8px;
    border-left: 4px solid #003452;
  }

  & mdc-page-banner { display: block; }

  & .election-information-container__content:empty { display: none !important; }

  & .election-information-container__content, app-page-banner .page-banner__main-container  { margin: 2.5rem 0 0 0 !important; }

  & .election-page__important-dates__container { grid-gap: 1rem !important; }

  & .election-page__important-dates__container app-card-title { margin-bottom: 0.5rem; }

  & .election-information-container__title { margin-bottom: 1.5rem !important; }


  & .alert-banner__main-container {
    border-radius:  0;
    border-left: 4px solid var(--accent-color);
    color: var(--accent-color);
  }

  & .alert-banner__title {
    color: var(--accent-color);
    margin: 0;
  }

  & .alert-banner__description { margin-bottom: 0; }

  & .design-system__button {
    height: auto;
    font-size:  1rem;
    padding: 1em 3em;

    transition: background-color .3s ease-out;

    &:is(:hover, :focus) {
      background-color: var(--secondary-color-500);
      color: #fff !important;
    }

  }

}


@media (width <= 767px) {
  .elections-container .alert-banner__body {

      & .alert-banner__title, .alert-banner__description, .alert-banner__button {
        grid-column: 1 / 4;
      }

      & .alert-banner__button  {
        grid-row: 3 / 4;
        justify-self:  start;
        margin-left: 44px;
      }
  }
}


.elections-container :where(.election-page__important-dates__container, .election-information-container__cards) .item-card {

  padding: 0.75rem !important;

  & :is(.item-card__body__title, .item-card__body__title-link) { 
    display: flex;
    gap: 0.5rem;
    font-size:  1.25rem;
  }

  & .has-background-image {
    margin: 0;
  }

  & :is(.has-background-image, .item-card__body__title-link[href$=".pdf"])::before {
    width: 32px;
    height: 32px;
    flex: 0 0 32px;
    margin: 0;
  }

  & .item-card__body__title-link { align-items: center; }

  & .item-card__body {
    padding: 0;

    display: flex;
    flex-direction: column;
  }

  & .item-card__body__description {
    margin-top:   auto;
    margin-left: 41px !important;
  }
}


.elections-container .container-full-width {
    background-color: transparent !important;

    & .item-card { padding: 1.5rem !important; }
}

/*****************************************
Targeting Get Ready to Vote
******************************************/
.elections-container app-important-dates + div.container {

  & .item-card {
    gap: 1rem;
    padding: 1.5rem !important;
  }

  & .item-card__body__title {
    font-size:  1.5rem;
    margin-bottom: 0.5rem;
  }

  & .item-card__body__description {
    margin-top: 0;
    margin-left: 0 !important;

    & p:last-of-type {
        margin-bottom: 0;
    }
  }

  & app-card-footer { margin-top: auto; }

  & .item-card__footer {
    margin: 0;
    padding: 0;
  }

  & .item-card__footer-link {
    font-weight:  500;
  }

}

/*****************************************
Homepage Office Message
******************************************/

.office-message {
    background-color: hsl(198.46, 52%, 90.2%);
    padding-block: 1em;
    color: var(--accent-color);
    font-size: clamp(1.25rem, 2vw + 1rem, 2rem);
    font-style:   italic;
    font-weight:  500;

    & .mdc-custom__content__container { container-type: inline-size; }

    & .mdc-custom__content__sub-title { /*sr-only logic for screen-readers but hide it from desktop*/
      position: absolute;
      width: 1px;
      height: 1px;
      padding: 0;
      overflow: hidden;
      clip: rect(0, 0, 0, 0);
      white-space: nowrap;
      -webkit-clip-path: inset(50%);
      clip-path: inset(50%);
      border: 0;
    }

    & .mdc-custom__content__description { margin-bottom: 0; }

    & ul {
      --message-spacing-row: 4rem;
      --message-spacing-column: 1rem;

      margin-bottom: 0;
      padding-left: 0;
      list-style:   none;

      display:  flex;
      gap: var(--message-spacing-column) var(--message-spacing-row);
      flex-wrap:  wrap;
      justify-content:  center;
    }



    & ul li {
      display:  flex;
      align-items:  center;
      gap: var(--message-spacing-column) var(--message-spacing-row);
    }

    & ul li:not(:last-child)::after {
      content: "";
      display:  block;

      width: 8px; height: 8px;
      background-color: rgba(0, 53, 84, 0.24);
      border-radius:  50%;
    }

}


@media (max-width: 767px) {
  
  
    .pagination .pages > li.active > a:before {
        content: "" !important;
      	margin-right: 0 !important;
    }
  	
  	.pagination .pages > li.active > a {
     	border-radius: 50%;
        text-decoration: none;
    }
  
    .pagination .pages > li > a {
      	width: 36px;
        height: 36px;
        text-decoration: none;
    }
  
}

@container (width <= 930px) {

  .office-message {
    & ul {
      --min-column-size: 18rem;
      display: grid;
      gap: 1rem;
      grid-template-columns: repeat(auto-fit, minmax(min(var(--min-column-size), 100%), 1fr));
    }

    & ul li { 
      display: inline;
      text-align: center;
    }

    & ul li:not(:last-child)::after { display: none; }

  }

}

@media (width <= 767px) {
  .office-message ul li { flex: 1; }
}



/*****************************************
Releases
******************************************/

.results__link a,
.results__byline .results__link { display: none !important;  }

.results__byline {
  font-size: 0 !important; /* the "|" now has zero width */
  margin: .5rem 0 0 !important;
}


.results__byline span {
  font-size: 0.9rem !important; /* Restoring the font-size to the span's */
}